Package weka.gui.beans

# Class GraphEvent

java.lang.Object
java.util.EventObject
weka.gui.beans.GraphEvent

All Implemented Interfaces:
  `Serializable`

public class GraphEvent extends EventObject
Event for graphs

Version:
  $Revision: 1.5 $
Author:
  Mark Hall
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`GraphEvent(Object source, String graphString, String graphTitle, int graphType)`
Creates a new `GraphEvent` instance.

## Method Summary

Modifier and Type
Method
Description
`String`
`getGraphString()`
Return the dot string for the graph
`String`
`getGraphTitle()`
Return the graph title
`int`
`getGraphType()`
Return the graph type

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### GraphEvent

public GraphEvent(Object source, String graphString, String graphTitle, int graphType)
Creates a new `GraphEvent` instance.

Parameters:
  `source` - the source of the event
  `graphString` - a string describing the graph in "dot" format
  `graphTitle` - the title for the graph
  `graphType` - the type for the graph

## Method Details

### getGraphString

public String getGraphString()
Return the dot string for the graph

Returns:
  a `String` value

### getGraphTitle

public String getGraphTitle()
Return the graph title

Returns:
  a `String` value

### getGraphType

public int getGraphType()
Return the graph type

Returns:
  a `int` value